# $Revision: 1.46 $, $Date: 2011/12/03 11:40:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Slurp
Summary:	File::Slurp - efficient reading/writing of complete files
Summary(pl.UTF-8):	File::Slurp - wydajny odczyt/zapis całych plików
Name:		perl-File-Slurp
Version:	9999.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7d584cd15c4f8b9547765eff8c4ef078
URL:		http://search.cpan.org/dist/File-Slurp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides subs that allow you to read or write entire files
with one simple call. They are designed to be simple to use, have
flexible ways to pass in or get the file contents and to be very
efficient. There is also a sub to read in all the files in a directory
other than . and .. .

Note that these slurp/spew subs work only for files and not for pipes
or stdio. If you want to slurp the latter, use the standard techniques
such as setting $/ to undef, reading <> in a list context, or printing
all you want to STDOUT.

%description -l pl.UTF-8
Ten moduł dostarcza funkcje pozwalające na odczyt lub zapis całych
plików pojedynczym wywołaniem. Zostały zaprojektowane tak, aby były
proste w użyciu, umożliwiały przekazywanie lub pobieranie zawartości
plików w elastyczny sposób oraz były bardzo wydajne. Jest także
funkcja do odczytu wszystkich plików w katalogu innym niż . i .. .

Należy zauważyć, że te funkcje działają tylko dla plików, a nie
potoków czy standardowego wejścia/wyjścia. Dla tych urządzeń pozostają
standardowe techniki, takie jak ustawianie $/ na undef, czytanie <> w
kontekście listy lub pisanie wszystkiego co chcemy na STDOUT.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# fails because of some fcntl constants undocumented in Fcntl or POSIX module
%{__rm} t/pod_coverage.t

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Slurp.pm
%{_mandir}/man3/File::Slurp.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Slurp.spec,v $
Revision 1.46  2011/12/03 11:40:04  qboosh
- updated to 9999.19

Revision 1.45  2008/02/26 18:40:12  qboosh
- updated to 9999.13

Revision 1.44  2007-12-26 23:20:12  zbyniu
- up to 9999.12; generic URL

Revision 1.43  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.41  2005/05/18 22:33:18  czucz
- updated to 9999.09

Revision 1.40  2004/11/03 22:30:21  paladine
- formatting

Revision 1.39  2004/11/01 22:32:24  adamg
- updated to 9999.06

Revision 1.38  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.37  2004/03/06 22:51:46  adamg
- updated to 9999.04

Revision 1.36  2004/01/24 22:19:26  arekm
- autoupdated to 9999.03

Revision 1.35  2003/12/23 08:34:18  misi3k
- updated to 9999.02

Revision 1.34  2003/12/14 20:34:02  qboosh
- updated to 9999.01 (totally new version, but should be compatible with old)

Revision 1.33  2003/10/25 00:52:33  qboosh
- updated to 2004.0904, added tests

Revision 1.32  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 19:09:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:32:25  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/11/20 12:18:52  mis
- autoupdated to 2002.1031

Revision 1.23  2002/08/14 23:38:34  qboosh
- pl description, release 3

Revision 1.22  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.21  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.20  2002/07/11 07:59:01  depesz
- new version; should work; STBR

Revision 1.19  2002/07/10 08:47:15  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:13:56  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:26:26  depesz
adapterized

Revision 1.13  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.11  2001/11/27 16:38:52  mis
- autoupdated to 2001.1103

Revision 1.10  2001/04/17 12:09:00  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/03 21:48:28  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
